mchartable_set(3m17n)

NAME
mchartable_set - Assign a value to a character in a chartable.

SYNOPSIS
int mchartable_set (MCharTable * table, int c, void * val)

DESCRIPTION
Assign a value to a character in a chartable.

The mchartable_set() function sets the value of character c in chartable table to val.

RETURN VALUE

    If the operation was successful, mchartable_set() returns 0. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_CHAR

SEE ALSO

    mchartable_lookup(), mchartable_set_range()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.